package com.fq.channel.sdk.base.net;

import com.fq.channel.sdk.base.constants.FqConfig;
import com.fq.channel.sdk.base.net.callback.BaseCallback;
import com.fq.channel.sdk.base.net.req.ParamsUtils;
import com.fq.channel.sdk.base.utils.Utils;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

/**
 * @Description: 业务网络请求封装类
 * @Author: FLuty
 * @CreateDate: 2020/4/3 10:45
 */
public class FqNetRequest {

    /**
     * 初始化
     *
     * @param callback
     */
    public static void init(BaseCallback callback) {
        String request = ParamsUtils.getInstance().generateInitParams();
        HttpManager.getInstance().post(FqConfig.KEY_URL_INT,Utils.decodeText(request) , callback);
    }

    /**
     * 登录
     *
     * @param callback
     */
    public static void login(BaseCallback callback) {

    }

    /**
     * 创建订单
     *
     * @param callback
     */
    public static void createOrder(BaseCallback callback) {

    }

}
